Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 1838)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 1839)
@@ -253,7 +253,7 @@
 		boolean needInit = (this.chartComposite.getChartComponent() == null) && (this.getResult().getChart() != null);
 		
 		// loading chart
-		this.getResult().subTask(TXMCoreMessages.bind("Loading chart of type {0}.", this.getResult().getResultType())); //$NON-NLS-1$
+		this.getResult().subTask(TXMCoreMessages.bind("Loading chart of type {0}...", this.getResult().getResultType())); //$NON-NLS-1$
 		this.loadChart();
 		
 		
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 1838)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 1839)
@@ -4,6 +4,7 @@
 package org.txm.chartsengine.rcp.swt;
 
 import java.awt.AWTEvent;
+import java.awt.BorderLayout;
 import java.awt.Color;
 import java.awt.Component;
 import java.awt.Frame;
@@ -14,31 +15,27 @@
 import java.awt.datatransfer.UnsupportedFlavorException;
 import java.awt.event.MouseEvent;
 import java.awt.event.MouseListener;
-import java.awt.event.MouseMotionListener;
 import java.awt.event.WindowEvent;
 import java.awt.event.WindowFocusListener;
 import java.awt.event.WindowListener;
 import java.awt.image.BufferedImage;
 import java.io.IOException;
 
-import javax.swing.JApplet;
 import javax.swing.JComponent;
+import javax.swing.JPanel;
 import javax.swing.SwingUtilities;
 import javax.swing.border.LineBorder;
 
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.Platform;
-import org.eclipse.swt.SWT;
 import org.eclipse.swt.awt.SWT_AWT;
 import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Event;
-import org.eclipse.swt.widgets.Listener;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.IChartComponent;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.events.EventCallBack;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
@@ -74,9 +71,9 @@
 	//FIXME: tests
 	//protected Panel rootPanel;
 	//protected JRootPane rootPanel;
-//	protected JPanel rootPanel;
+	protected JPanel rootPanel;
 	
-	protected JComponent rootPanel;
+//	protected JComponent rootPanel;
 	
     
 
@@ -96,18 +93,19 @@
 		this.frame = SWT_AWT.new_Frame(this);
 	
 		// Need to add an AWT/Swing Panel to fix mouse events and mouse cursors changes on AWT/Swing chart component panel (see: https://bugs.java.com/bugdatabase/view_bug.do?bug_id=4982522)
-//		this.rootPanel = new JPanel(new BorderLayout());
-//		this.frame.add(this.rootPanel);
+		this.rootPanel = new JPanel(new BorderLayout());
+		this.frame.add(this.rootPanel);
 		
 		// FIXME: tests with Applet, see: https://www.eclipse.org/articles/article.php?file=Article-Swing-SWT-Integration/index.html
-		final JApplet applet = new JApplet(); 
-		this.rootPanel = (JComponent) applet.getRootPane().getContentPane();
-		this.frame.add(applet);
+		// NOTE SJ: avec ce code le changement de moteur à la volée ne fonctionne pas sous Mac OS X
+//		final JApplet applet = new JApplet(); 
+//		this.rootPanel = (JComponent) applet.getRootPane().getContentPane();
+//		this.frame.add(applet);
 		
 		
 		//this.frame.pack();
 
-		//this.frame.setVisible(true);
+		this.frame.setVisible(true);
 		//this.frame.setVisible(false);
 
 
@@ -875,6 +873,7 @@
 		Object chart = this.chartEditor.getChart();
 		
 		if(chart != null) {
+			
 			// creates components if they not exist
 			if(this.chartComponent == null) {
 
